#skills-grid,
#stats,
#skills-bars {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

#skills-grid ul {
    list-style: none;
    display: flex;
    gap: 20px;
    padding: 0;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.skill-group,
.stat-item {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 33.33%;
}

.skill-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 90%;
    padding: 0 5%;
}

.bar {
    width: 50%;
    height: 20px;
    background-color: #e0e0e0;
    border-radius: 10px;
    overflow: hidden;
}

.bar-fill {
    height: 100%;
    background-color: #76c7c0;
    border-radius: 10px;
}

@media only screen and (max-width: 767px) {
    #skills-grid,
    #stats,
    #skills-bars {
        flex-direction: column;
        gap: 20px;
    }

    .skill-group,
    .stat-item {
        width: 90%;
    }
}
